View Issue Details

IDProjectCategoryLast Update
0019985AI War 2[All Projects] SuggestionSep 29, 2018 3:17 am
ReporterHeartHunter7Assigned Tox4000Bughunter 
Severitymajor 
Status resolvedResolutionfixed 
Product Version0.759-0.760 Only The Start of Discovery 
Fixed in Version0.775 Unit Stacking 
Summary0019985: Ships logic.
DescriptionNotes from game experience:
1)If unit see enemy in the attack range, they will try to attack him until he doesnot die. Thats mean, that 3000 ships will attack one unit in attack range.
2)If unit see tower/building and enemy ship, he will attack tower/building(without weapon ever).
3)If units run from enemy ships, they will attack ships that are far away and not ever touch them, but must attack near enemy ships for survive, kite and other.

Thats strange for me, and if you using enough often autodrive, thats notes seems more expressed. When half of your army chase enemy antycloak tower and diying under long range enemy ships, laser or ion tower.
Or when 300 spider ships focusfire one starships or other small ship. They could debuff a lot of enemy engines, but will focus only one, thats making them not enough good, and u need a lot of micro for killing different engines.

Suggestion.
In starcraft and other rts(i hope), player units randomly attacking enemy units in the first row or most close unit, not one units in the row.
So, how about make ships attacking most close enemy units+ priority on the first and second row plus/or attack most ez unit(counter).
1 row= 1000 space metres or something.

TagsNo tags attached.

Relationships

related to 0020066 resolvedx4000Bughunter Ships focus priority 
related to 0020141 resolvedx4000Bughunter Change priority 

Activities

BadgerBadger

Aug 26, 2018 6:53 pm

manager   ~0048350

This code is under active development. I've tweaked the target preference logic to include "Prefer targets that are in range", and some tweaks to the "don't have all units pick the same target" code

HeartHunter7

Aug 26, 2018 7:04 pm

reporter   ~0048352

Okay. May be, its seems so for me, becouse units fall down so fast.

May be i m a little not right. I see, that mass raptors doing hard things.
1)Player raptors are analyzing how many dmg they can make.
2)Then analyzing how many dmg=death ships.
3)and then kill those ships. 10, 20, 30 or more.

Thats good, very good, but i think hard to calculate for some computers.

HeartHunter7

Aug 26, 2018 7:58 pm

reporter   ~0048355

But if player ships is moving, they killing only one target. Thats strange.

HeartHunter7

Aug 26, 2018 8:07 pm

reporter   ~0048356

And, if player not using auto drive, all player ships will anyway killing only one target(unit). Thats mean, that most effective units with infinity range attack+auto drive+never moving.

20180827025200_1.jpg (236,141 bytes)
20180827025200_1.jpg (236,141 bytes)
20180827025211_1.jpg (284,669 bytes)

HeartHunter7

Aug 29, 2018 6:08 am

reporter   ~0048432

Update 0.762
Attack logic is almost same. Auto drive+inifinity range units+never moving is still best logic for win.
Remind, what i said above, if u have enough dmg, every unit can kill every unit for one turn. For example: 50 frigates can kill 150 V-wing for 3 turns, etc. But i said almost.
Right now, if you follow logic inifinity range units+never moving, your ships will killing only 3 ships, in the past was 1 unit. Better, but not enough.
And if u make order for moving, units will killing only 1 AI unit, but seldom can be a little more.

My test with units with not infinity range shows me, thats Auto drive+inifinity range units+never moving(if enemy has only one type of ships and Ai doesnot have buildings>units will stay on the place and follow rule) working same like with sentinel frigates(infinity range), i tested space tanks(paper), but other units i think working same. Thats mean, thats 62 space tanks kill(oneshot) 62 mlrs corvette for one turn, like units above.

Other logics:
1) not auto drive+never moving, if enemy full in the attack range, space tanks will kill about 5-10 mlrs corvettes for turn, i dont remember result 1-2 updates ago, but its still bad.
2) auto drive, if enemy units not in attack range, they will move to the enemyand until they dont stop, Ai will lose about 1-3 ships for every turn, from part of the space tanks whitch have come to enemy ships with attack range but still moving(one of reasons, its becouse units never use real attack range, they using about formula "Attack range - 700". But when your space tanks will stop, their logic become "auto drive+inifinity(enough) range units+never moving", and will destroy for 1-2 turns AI with full dmg.
3)and last logic for today. I m moving around enemy ships. Enemy lossing about 1-3 ships for every turn. Thats terrible.

I show you 2 funny screenshots.

HeartHunter7

Aug 29, 2018 6:19 am

reporter   ~0048433

1)Auto drive+inifinity range units+never moving. Screen 1,2.
Ai came
Enemy lost all army, but i lost only 14 ships hehe.

2)not Auto drive+inifinity(enough) range units+never moving. Screen 3. Better, then nothing -_-

3) moving+enough attack range. Screen 4. No comments, ahahahahahahaha

20180829131515_1.jpg (296,875 bytes)
20180829131013_1.jpg (288,371 bytes)
20180829130959_1.jpg (317,984 bytes)
20180829131833_1.jpg (309,128 bytes)

x4000Bughunter

Aug 29, 2018 12:23 pm

administrator   ~0048483

Some changes:

* A TON of balance work has been done, making ships in general do about 10x less damage than they did before... except for a lot of the fleetships, which were already a lot lower than the larger ships. These now do something like half or two thirds of what they did before, or in a few cases very close to what they did before.
** Overall the idea is that battles should actually last more than an instant now, and in particular the Tesla Turrets have been heavily nerfed so that they don't eat everything.
** This is probably an appropriate range for ships in terms of how fast they kill fleetships, but it may be that starships and other large structures now last too long. Not really sure, we'll see. Hopefully the game doesn't become too slow-feeling from this, but rather just slow-feeling in spots that we can correct.
** This may have even further marginalized snipers, it's hard to say. If anyone wants to fiddle with their balance, please feel free to tell us what you find.


If you can clarify what is actually happening in the next version (0.763) that seems wrong, and provide a savegame where I could duplicate that, that would be appreciated. I'm understanding the following, please correct me if I'm wrong:

1) Generally speaking, ships were killing each other so darn fast you could hardly keep track (others also reported this, definitely makes sense).

2) If you set the ships into FRD mode (auto drive) using the V key, then... what is happening? I'm not sure what you mean, to be honest. What are ships with infinity range other than snipers?

3) If ships are out of range and then try to move into range, are you saying they go all the way up to the target they are trying to hit instead of stopping when in range?

4) If ships are moving around near enemies and auto-firing, is this somehow different than being in FRD (auto drive) mode or being in a stationary position, you're saying?

HeartHunter7

Aug 29, 2018 2:21 pm

reporter   ~0048503

Sorry, english not my main language.
Turn=shoot.
infinite attack range - its game description "infinite range"
1) yes, about it.

2)Only snipers? Dont forget about sentinetal frigates, most overpower long range unit in game, thats very good unit. If i set the ships into FRD with infinite attack range(or enemy in attack range)+your units do not moving! then game engine or something will calculate how many ships can they kill with the total damage. And then kill them. Infinite range of attack have snipers and sentinel frigates. Do u have 150 sentinel frigates vs 300 V-wing? Ok, just follow my formula and u will kill them all with 2 turn(shoots), its about 8 sec. I repyte. FRD+infinite attack range unit(or enemy in the the attack range)+your ships is not moving=150 sentinel firages are killing 300 V-wing for 2 turn(shoots).
But dont forget, if enemy have buildings(towers, etc) or other ships or ever starships, thats will broken your expectation, becouse focus will changed on the buildings starships and other far away ships. This rule will still work, but not so beatiful and your ships will just spend a lot of turns(shoots) for nothing.

3)"Try to move" with FRD, Yes, its right. I hope, that we talking about FRD situational. Just select any ship, really any ship(but better with middle attack range), press "V", and then "Z". You will see, that if real attack range of your unit is 5600, he will attacking with about 6100.
4)yes, i talking about it too.

I cant give you save, becouse its ships logic, save cant help you. You made this ship logic, i just remarked ships logic of your code with human logic, lol.
But i can make video, anyway.

FRD>not FRD>move.

Your units moving or not?
Your units in FRD or not?
Enemy units in attack range of your ships?
Do you see only one type of enemy ships or not?
Does enemy have starships and buildings?
Thats all will make different formula, situational and result.

x4000Bughunter

Aug 29, 2018 3:34 pm

administrator   ~0048516

No worries on the language thing, you write english far better than I do any other language, so I have no room to complain. ;)

I forgot that sentinel frigates had that sort of range, that is going to be something I change.

I am still having trouble following exactly what is happening that is different, although I get the general idea. Can you provide savegames with steps for me to do to make the effects happen?

HeartHunter7

Aug 29, 2018 4:00 pm

reporter   ~0048519

yes, i will do it.

x4000Bughunter

Aug 29, 2018 4:16 pm

administrator   ~0048523

Thank you very much!

HeartHunter7

Aug 29, 2018 4:49 pm

reporter  

not auto drive not moving.save (895,767 bytes)
not auto drive not moving.savemet (39 bytes)
auto drive not moving2.savemet (39 bytes)
auto drive not moving1.savemet (39 bytes)
auto drive not moving1.save (895,737 bytes)
auto drive not moving2.save (983,731 bytes)

HeartHunter7

Aug 29, 2018 4:49 pm

reporter   ~0048528

I made two situational. But i dont know, how to make replay with moving.
So i made video with all situational anyway like bonus - https://www.youtube.com/watch?v=PSVoR083DT0

not auto drive not moving1.savemet (39 bytes)
not auto drive not moving1.save (896,015 bytes)

x4000Bughunter

Sep 5, 2018 10:38 am

administrator   ~0048842

More targeting work to come, but this should solve a lot of it, coming in 0.766:

* Logic has been added to the game that should make the human forces always target enemies as if they are in FRD-mode, versus spreading damage around evenly. This requires further testing to make sure that we actually got the issue, though.

* Targeting weights for FRD units (on the player side) is now completely different from the targeting weights used by the non-player factions.
** The AIs and humans simply have very different goals in how they fight, so letting them weight things differently makes a lot of sense.

* For every forcefield that a ship is protected by, it now gets its priority divided by 3 if it's a player doing the targeting, or by 5 if it's an AI doing the attacking.
** This makes the AI in particular a lot less cheesable by sticking key ships under forcefields, and it makes your FRD units also behave more intelligently.

Thanks!

Can folks test if that actually did the trick?

HeartHunter7

Sep 5, 2018 10:54 am

reporter   ~0048844

Thanks
I want.

x4000Bughunter

Sep 5, 2018 1:36 pm

administrator   ~0048860

It will be out tonight! :)

HeartHunter7

Sep 6, 2018 3:46 am

reporter   ~0049002

Tests:
1. When i came to enemy planet, most of my units focusing buildings. Screen 1. About 8 units focusing enemy ships(only starships). Focusing Usurper(its too not good) screen 2.
2. In the free battle field(a small ships against a small ships), Units with FRD doing like always, spread attack.
3. In the free battle field, Units without FRD+enemy not in attack range+units moving around with my commands for get enemy in attack range. 60 mk3 space tanks, killing 10 Armor ships for every turn. 60mk3dmg=576*5*60= 172 800 dmg. 1 armor ships = 5100 hull. 172 800/5100=seems, like 33 ships for one turn. Units without FRD working not like in FRD.
4. Other test. Free battlefield. 156 Concussion corvets mark7(for oneshot enemy) vs 349 MLRS with FRD, enemy in attack range. Turn=1 shoot.
Turn 1. AI lost about 150 ships.
Turn 2. Ai lost about 150 ships.
FRD with spread attack seems, that works ideal(like in lasts updates)
5. Free battlefield. 156 Concussion corvets mark7(for oneshot enemy) vs 349 MLRS without FRD+units do not moving, just stay on the position, enemy in attack range.
Turn 1. Ai lost 5 ships
Turn 2. Ai lost 10 ships
Turn 3. Ai lose 15-25 ships and retreat.
6. Free battlefield. 156 Concussion corvets mark7(for oneshot enemy) vs 349 MLRS without FRD+units moving around the nemey with my commands, enemy in attack range.
Turn 1. AI lost 3 ships.
Turn 2. Ai lost 2 ships.
Turn 3. Ai lost 3 ships.
Turn 4. Ai lost 1 ships.
7. Seems like, than close your units, then better spread attack works without FRD, so they can kill more enemy ships. Maximum 10-15 for one turn.
8. If human ships look armor ships+mlrs. 85+ ships will chase far away ships(MLRS). Its bad too.

Total:
Units in FRD working same.
Units without FRD+units dont move=working bad
Units without FRD+control with my moving commands=working badder.

So, units cant target enemy without FRD like with FRD, its mean that new target logic doesnot work fully.

20180906095505_1.jpg (415,626 bytes)
20180906101533_1.jpg (462,462 bytes)

HeartHunter7

Sep 6, 2018 4:44 am

reporter   ~0049003

"85%+ ships will chase far away ships(MLRS). Its bad too." *

HeartHunter7

Sep 6, 2018 12:45 pm

reporter   ~0049050

I m not sure, that file "CMP_PriorityAsFRDTarget" is working. I changed FRD priority for myself(1 - NormalFleetship, 2 - NormalStarship), but 99% of my units in FRD trying focus starships, lol why.
I tryed different numbers for "NormalStarship" like "100" and "1", but they still dont follow priorities. Units without FRD shoot better, i think about 90%+ focusing normalfleetship.

CMP_PriorityAsFRDTarget.xml (1,037 bytes)

x4000Bughunter

Sep 6, 2018 12:54 pm

administrator   ~0049051

Okay, coming out next release:

* Fixed a bug in the prior release that made it continue to use the old AI-style target priorities on ships in FRD mode.
** Thanks to HeartHunter7 for reporting.

* Updated the general targeting logic in TargetPlanning so that it now also makes use of the target priorities and pays attention to ranges, which should lead to more consistent behavior between that sort of targeting and the targeting from FRD mode. It also takes into account overkill, etc.
** Thanks to HeartHunter7 for reporting.

HeartHunter7

Sep 6, 2018 9:12 pm

reporter   ~0049078

Update 0,767

1)Units with FRD chase far away units+trying get them in close range. But still 150 corvettos can oneshot 150 LRMS, so FRD not broken totally.
2)Units without FRD+manual move is killing in total about 15-20 ships(if they can oneshot). They attacks not all together, its seems like a lot of parts of Human units attacking enemy.
3)Units without FRD+dont move is killing in total too about 20-25 ships.

Well, seems better. Targeting like in FRD is closer.

HeartHunter7

Sep 6, 2018 9:15 pm

reporter   ~0049080

If Human splite army of 4+ parts and will control them(kite), he can kill a lot of better. About 2x or 3x from normal kills.

x4000Bughunter

Sep 7, 2018 10:05 am

administrator   ~0049108

I'm glad that it's improved, at least! Thanks.

HeartHunter7

Sep 7, 2018 11:06 am

reporter   ~0049118

Thanks you : D

New moment.
Units without FRD having first priority focus only for buildings. 90%+ Human ships dont touch AI ships, until they kill buildings: guards posts, wormhole sentinels, tachyons.
I tryed make priority for all buildings "1", but thats not sense.

focus priority.save (1,170,345 bytes)
focus priority.savemet (55 bytes)
20180907175901_1.jpg (494,651 bytes)
CMP_PriorityAsTarget.xml (1,311 bytes)

x4000Bughunter

Sep 7, 2018 11:20 am

administrator   ~0049120

That is very strange! I will have to look into it.

x4000Bughunter

Sep 7, 2018 9:43 pm

administrator   ~0049137

Thanks!

* Completely redid a lot of the FRD logic, which also handles a lot of the AI logic. It could still use some work, for sure, but it's no longer quite so bafflingly moronic as before. ;)

HeartHunter7

Sep 8, 2018 6:38 am

reporter   ~0049142

Update 0,768

This targeting without FRD seems a lot of better. In my other posts, units could kill less number of enemy ships, before enemy retreat.

Test. 156 Concussion corvets mark7(for oneshot enemy) vs 349 MLRS enemy in attack range. Fight continue 27 sec.
1)Without move and FRD. After fight, the enemy has 120 ships.
2)Spread units on 4 armyes, without FRD and manual moving army to back. After fight, the enemy has 216.
3)Move only one army, without FRD. After fight, the enemy has 291.
4)In the FRD. Enemy AI lost all units in 22 secs.
5)I FRD, enemy not in attack range, need a little move. Enemy AI lost all units in 27 secs.
6)KIte(click to back, stop, click to back, stop), spread units on 4 armyes. After fight, the enemy has 146, i lost noone.

So, Units without FRD killing in 2x more enemy units.
FRD killing more in 2x time, than not FRD, but not always better, than not FRD.
And kite with a few armyes, its the best way for wring out all effective from Human ships.
Right now, attack range is working correctly(not infinity attack range)

Good job, its work.

HeartHunter7

Sep 8, 2018 6:47 am

reporter   ~0049143

Note.
1)But in the FRD, 50% of units move to far aways units for focus them, and 50% focus close range units.
2)Without FRD units prefer only long range units.
Situation. 50MLRS+50Raiders against 60 concussion corvets. MLRS on the back side and moving, my shis doesnot moving and attack units in attack range(Raiders).
MLRS came to me close, but they still on the back line, than raiders. My 100% units started attack MLRS, becouse attack range allow to them.
MLRS continue moving, and right now, they first line or about, and Raiders second line. 100% of my units still focusing MLRS.

So, its mean, that my ships prefered attack artillery units.

HeartHunter7

Sep 8, 2018 7:33 am

reporter   ~0049145

Replay for not FRD.

test5.save (868,135 bytes)
ArcenDebugLog.txt (1,189,454 bytes)
test5.savemet (38 bytes)

HeartHunter7

Sep 8, 2018 7:41 am

reporter   ~0049146

Right now i m not sure about"Without FRD units prefer only long range units. "
In other tests Human ships attacks close enemy ships to. So, its again 50 on 50 priority. No idea.

HeartHunter7

Sep 8, 2018 4:01 pm

reporter   ~0049151

Its works. I played more long games and find something strange.
FRD with priority against most close units works, but it was hard for undestand.

If Human player want use FRD with priority for most close units, he must use a few moments:
1)Range of attack. If human units far away from enemy ships, FRD with priority will not working! Human ships will just calculate all units for FRD attack, and your Human ships will attack not more close units. Hard to undestand, but its about something. Look on screenshot 1,2. Its about 33% focus Raider, 33% MLRS, 33% armor ship.
2) Give the enemy ship come to close and u will see, that all ships focusing Raiders. Why? Becouse : D. I think, that FRD with priority for most close units, works only when enemy ships in radius of Human units, i sure in it on 99%. Thats why, i could make this priority only very seldom. Screenshot 3
3)So, if Human ships focusing wrong targets(far away), Human player can just focus one most close enemy ship and change priority, else he can just move on the one pixel, so Human player must do new order fo refresh target priority. I heared about "S"(stop) buttom in the feature, its can help too. Screenshot 4.

4.jpg (353,342 bytes)
3.jpg (507,409 bytes)
1.jpg (383,612 bytes)
2.jpg (380,061 bytes)

HeartHunter7

Sep 8, 2018 5:08 pm

reporter   ~0049152

One more not. That this logic will work for full units in the attack range. Its mean, that Human ships will think, that"If enemy ships in my attack range, i will attack them all, and i m not care, what is unit real most close to me"

HeartHunter7

Sep 8, 2018 5:12 pm

reporter   ~0049153

My last comment is true only for FRD.

HeartHunter7

Sep 9, 2018 5:17 pm

reporter   ~0049173

New notes. How works logic without FRD.

Focus priority in the game. I used debug+"Send wave" for test.
The first ships have the highest priority(100% focus):

Armor ship – attack most close unit. Only this unit really attack most close unit.

Grenady launcher – MLRS, Raiders, Armor ship
Autocannon minipod – MLRS, Raiders, Armor ship
Space tank – MLRS, Raiders, Armor ship
Eyebot – MLRS, Raiders, Armor ship
Gatling – MLRS, Raiders, Armor ship
Agravik pod – Raiders, LRMS, Armor ship
Raider – MLRS , Raider, armor ship
Raptor – MLRS, Raider, armor ship
Sentinel frigate – MLRS, Raider, Armor ship
Space plan – MLRS, Raider, armor ship.
Space tank – MLRS, Raider, armor ship
Concussion corvette – MLRS+Raiders, Armor ship
Bombers – MLRS, Raiders, armor ship

Spider – MLRS+armor tanks(may be more), Raiders.
Sniper – the first volleys was against Raiders, but then he was attacking MLRS. When I started move my snipers, they begin attack Raiders again, when stopped them, they become again attack MLRS. No idea.
MLRS – not sure. But seems like 90% focus armor ships, 10% MLRS. When Armor ships die, they will focus only MLRS.

So, we can see, that most of units attacks MLRS ship in the attack range, and then Raiders, when first ship dies.
And only one armor ship attacks more close ships, dont matter what is ship has enemy, but i tested only these 3 ships.

HeartHunter7

Sep 14, 2018 9:05 pm

reporter   ~0049265

This time, very nice.
I tryed this test, like always. Corvettes against MLRS.

Without FRD - 154 AI ships left
With FRD - 203 AI ships left
Without FRD in the moving - 242 AI ships left

Its mean, that control without FRD is better then with FRD. Its good and seems more true, how for me. Plus units in moving have most bad result, but its too good, when ships moving, they loosing accuracy or about it. Its too about realistic. Very good job.

About attacks most close ships. Seems like units attacks more close ship, but not all. For example: Sentinel frigate.

HeartHunter7

Sep 15, 2018 11:35 am

reporter   ~0049271

Another example.
Pike vs LRMS, Raiders, Armor ship.
Pikes in FRD trying get far away armor ship units. When armor ships will die, Pikes will focus most close target.

x4000Bughunter

Sep 28, 2018 9:19 pm

administrator   ~0049599

Going to mark this one as solved, since it is such a big topic and has been basically heavily fixed and patched since the last active notes here. I will happily have another topic, though, if you want to open one with new observations. Cheers!

HeartHunter7

Sep 29, 2018 3:17 am

reporter   ~0049610

Yes, this thread is very big. I opened other threads.
https://bugtracker.arcengames.com/view.php?id=20323
https://bugtracker.arcengames.com/view.php?id=20301

Issue History

Date Modified Username Field Change
Aug 26, 2018 12:26 pm HeartHunter7 New Issue
Aug 26, 2018 6:53 pm BadgerBadger Note Added: 0048350
Aug 26, 2018 7:04 pm HeartHunter7 Note Added: 0048352
Aug 26, 2018 7:58 pm HeartHunter7 Note Added: 0048355
Aug 26, 2018 8:07 pm HeartHunter7 File Added: 20180827025200_1.jpg
Aug 26, 2018 8:07 pm HeartHunter7 File Added: 20180827025211_1.jpg
Aug 26, 2018 8:07 pm HeartHunter7 Note Added: 0048356
Aug 29, 2018 6:08 am HeartHunter7 Note Added: 0048432
Aug 29, 2018 6:19 am HeartHunter7 File Added: 20180829130959_1.jpg
Aug 29, 2018 6:19 am HeartHunter7 File Added: 20180829131013_1.jpg
Aug 29, 2018 6:19 am HeartHunter7 File Added: 20180829131515_1.jpg
Aug 29, 2018 6:19 am HeartHunter7 File Added: 20180829131833_1.jpg
Aug 29, 2018 6:19 am HeartHunter7 Note Added: 0048433
Aug 29, 2018 12:23 pm x4000Bughunter Note Added: 0048483
Aug 29, 2018 12:23 pm x4000Bughunter Assigned To => x4000Bughunter
Aug 29, 2018 12:23 pm x4000Bughunter Status new => acknowledged
Aug 29, 2018 2:21 pm HeartHunter7 Note Added: 0048503
Aug 29, 2018 3:34 pm x4000Bughunter Note Added: 0048516
Aug 29, 2018 4:00 pm HeartHunter7 Note Added: 0048519
Aug 29, 2018 4:16 pm x4000Bughunter Note Added: 0048523
Aug 29, 2018 4:49 pm HeartHunter7 File Added: auto drive not moving1.save
Aug 29, 2018 4:49 pm HeartHunter7 File Added: auto drive not moving1.savemet
Aug 29, 2018 4:49 pm HeartHunter7 File Added: auto drive not moving2.save
Aug 29, 2018 4:49 pm HeartHunter7 File Added: auto drive not moving2.savemet
Aug 29, 2018 4:49 pm HeartHunter7 File Added: not auto drive not moving.save
Aug 29, 2018 4:49 pm HeartHunter7 File Added: not auto drive not moving.savemet
Aug 29, 2018 4:49 pm HeartHunter7 File Added: not auto drive not moving1.save
Aug 29, 2018 4:49 pm HeartHunter7 File Added: not auto drive not moving1.savemet
Aug 29, 2018 4:49 pm HeartHunter7 Note Added: 0048528
Sep 5, 2018 10:37 am x4000Bughunter Relationship added related to 0020066
Sep 5, 2018 10:38 am x4000Bughunter Relationship added related to 0020141
Sep 5, 2018 10:38 am x4000Bughunter Status acknowledged => feedback
Sep 5, 2018 10:38 am x4000Bughunter Note Added: 0048842
Sep 5, 2018 10:54 am HeartHunter7 Note Added: 0048844
Sep 5, 2018 10:54 am HeartHunter7 Status feedback => assigned
Sep 5, 2018 1:36 pm x4000Bughunter Note Added: 0048860
Sep 5, 2018 2:16 pm x4000Bughunter Status assigned => feedback
Sep 6, 2018 3:46 am HeartHunter7 File Added: 20180906095505_1.jpg
Sep 6, 2018 3:46 am HeartHunter7 File Added: 20180906101533_1.jpg
Sep 6, 2018 3:46 am HeartHunter7 Note Added: 0049002
Sep 6, 2018 3:46 am HeartHunter7 Status feedback => assigned
Sep 6, 2018 4:44 am HeartHunter7 Note Added: 0049003
Sep 6, 2018 12:45 pm HeartHunter7 File Added: CMP_PriorityAsFRDTarget.xml
Sep 6, 2018 12:45 pm HeartHunter7 Note Added: 0049050
Sep 6, 2018 12:54 pm x4000Bughunter Note Added: 0049051
Sep 6, 2018 9:12 pm HeartHunter7 Note Added: 0049078
Sep 6, 2018 9:15 pm HeartHunter7 Note Added: 0049080
Sep 7, 2018 10:05 am x4000Bughunter Note Added: 0049108
Sep 7, 2018 11:06 am HeartHunter7 File Added: CMP_PriorityAsTarget.xml
Sep 7, 2018 11:06 am HeartHunter7 File Added: focus priority.save
Sep 7, 2018 11:06 am HeartHunter7 File Added: focus priority.savemet
Sep 7, 2018 11:06 am HeartHunter7 File Added: 20180907175901_1.jpg
Sep 7, 2018 11:06 am HeartHunter7 Note Added: 0049118
Sep 7, 2018 11:20 am x4000Bughunter Note Added: 0049120
Sep 7, 2018 9:43 pm x4000Bughunter Note Added: 0049137
Sep 8, 2018 6:38 am HeartHunter7 Note Added: 0049142
Sep 8, 2018 6:47 am HeartHunter7 Note Added: 0049143
Sep 8, 2018 7:33 am HeartHunter7 File Added: test5.save
Sep 8, 2018 7:33 am HeartHunter7 File Added: test5.savemet
Sep 8, 2018 7:33 am HeartHunter7 File Added: ArcenDebugLog.txt
Sep 8, 2018 7:33 am HeartHunter7 Note Added: 0049145
Sep 8, 2018 7:41 am HeartHunter7 Note Added: 0049146
Sep 8, 2018 4:01 pm HeartHunter7 File Added: 1.jpg
Sep 8, 2018 4:01 pm HeartHunter7 File Added: 2.jpg
Sep 8, 2018 4:01 pm HeartHunter7 File Added: 3.jpg
Sep 8, 2018 4:01 pm HeartHunter7 File Added: 4.jpg
Sep 8, 2018 4:01 pm HeartHunter7 Note Added: 0049151
Sep 8, 2018 5:08 pm HeartHunter7 Note Added: 0049152
Sep 8, 2018 5:12 pm HeartHunter7 Note Added: 0049153
Sep 9, 2018 5:17 pm HeartHunter7 Note Added: 0049173
Sep 14, 2018 9:05 pm HeartHunter7 Note Added: 0049265
Sep 15, 2018 11:35 am HeartHunter7 Note Added: 0049271
Sep 28, 2018 9:19 pm x4000Bughunter Status assigned => resolved
Sep 28, 2018 9:19 pm x4000Bughunter Resolution open => fixed
Sep 28, 2018 9:19 pm x4000Bughunter Fixed in Version => 0.775 Unit Stacking
Sep 28, 2018 9:19 pm x4000Bughunter Note Added: 0049599
Sep 29, 2018 3:17 am HeartHunter7 Note Added: 0049610